### Method

# Gtk TextIter get_text

#### Declaration [src]

    char*
    gtk_text_iter_get_text (
      const GtkTextIter* start,
      const GtkTextIter* end
    )

#### Description [src]

Returns text in the given range.

If the range contains non-text elements such as images, the character and byte offsets in the returned string will not correspond to character and byte offsets in the buffer. If you want offsets to correspond, see gtk_text_iter_get_slice().

#### Parameters

`end` | `GtkTextIter`
| Iterator at end of a range.
| The data is owned by the caller of the function.

#### Return value

Returns: | `char*`
| Array of characters from the buffer.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.